/* The GIMP -- an image manipulation program
 * Copyright (C) 1995 Spencer Kimball and Peter Mattis
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
static char *rect_select_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "....aa..aa..aa..aa..aa..a.......",
  "....aeeggeeggeeggeeggeegae......",
  ".....eggggggggggggggggggge......",
  ".....gggggggggggggggggggg.......",
  "....aggggggggggggggggggga.......",
  "....aeggggggggggggggggggae......",
  ".....eggggggggggggggggggge......",
  ".....gggggggggggggggggggg.......",
  "....aggggggggggggggggggga.......",
  "....aeggggggggggggggggggae......",
  ".....eggggggggggggggggggge......",
  ".....gggggggggggggggggggg.......",
  "....aggggggggggggggggggga.......",
  "....aegaaggaaggaaggaaggaae......",
  ".....e..ee..ee..ee..ee..ee......",
  "......................ee........",
  "......................eae.......",
  "......................eaae......",
  "......................eaaae.....",
  "......................eaaaae....",
  "......................eaaaaae...",
  "......................eaaaaae...",
  "......................eaaeee....",
  "......................eee.......",
  "................................",
  "................................",
  "................................",
};

static char *ellipse_select_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "..........aa..aa..aa............",
  "......aagggeeggeeggeegaa........",
  "......geeggggggggggggggee.......",
  "....aggggggggggggggggggggg......",
  "....aeggggggggggggggggggga......",
  ".....egggggggggggggggggggae.....",
  ".....ggggggggggggggggggggge.....",
  "....aggggggggggggggggggggg......",
  "....aeggggggggggggggggggga......",
  ".....egggggggggggggggggggae.....",
  ".....ggggggggggggggggggggge.....",
  "......aaggggggggggggggaag.......",
  ".......eegaaggaaggaagggee.......",
  "...........ee..ee..ee.ee........",
  "......................eae.......",
  "......................eaae......",
  "......................eaaae.....",
  "......................eaaaae....",
  "......................eaaaaae...",
  "......................eaaaaae...",
  "......................eaaeee....",
  "......................eee.......",
  "................................",
  "................................",
  "................................",
};

static char *free_select_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "...........aa...................",
  "..........geeg..................",
  ".........agggga.................",
  "........aegggae....aa...........",
  "........egggge....ggee..........",
  ".......gggggg...aeggggga........",
  "......aggggae..aeggggggae.......",
  "......aeggggaegggggggggge.......",
  ".......egggggggggggggggg........",
  ".......ggggggggggggggggae.......",
  "......aeggggggggggggggae........",
  ".......aegggggggggggggg.........",
  "........gggggggggggggae.........",
  "........aeggggggggggae..........",
  ".........aegggggaagg..ee........",
  "...........gaagggee...eae.......",
  ".............ee.......eaae......",
  "......................eaaae.....",
  "......................eaaaae....",
  "......................eaaaaae...",
  "......................eaaaaae...",
  "......................eaaeee....",
  "......................eee.......",
  "................................",
  "................................",
  "................................",
};

static char *fuzzy_select_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "........aa..aa..aa..............",
  ".........ee..ee..ee.............",
  "................................",
  "........a...aaae..a.............",
  "........ae.agggae.ae............",
  ".........e.agggae..e............",
  "...........agggae...............",
  ".....a......agae.....a..........",
  ".....ae..aaagggaaae..ae.........",
  "......e.agggggggggae..e.........",
  "........agggggggggae............",
  ".....a..agggggggggae.a..........",
  ".....ae.agagggggagae.ae.........",
  "......e.agagggggagae..e.........",
  ".........gagggggagae............",
  ".....a...............a..........",
  ".....ae.aa..aa..aa..aaee........",
  "......e..ee..ee..ee..eeae.......",
  "......................eaae......",
  "......................eaaae.....",
  "......................eaaaae....",
  "......................eaaaaae...",
  "......................eaaaaae...",
  "......................eaaeee....",
  "......................eee.......",
  "................................",
  "................................",
  "................................",
};

static char *bezier_select_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "..............aa................",
  "..............aae...............",
  "...........aaa.ee...............",
  "..........aggga......aa.........",
  ".........agggga......aae........",
  "........agggga.....aaaee........",
  "....aa.agggga....aaggga.........",
  "....aaeaggga....agggggga........",
  ".....eegggga...aggggggga........",
  "......agggggaaagggggggga........",
  "......agggaaggggggggggga........",
  "......agggaaegggggggggga........",
  "......aggggeeggggggggga.aa......",
  ".......agggggggggggggga.aae.....",
  ".......aggggggggggggga...ee.....",
  "........aggggggggggaa.ee........",
  ".........aagggggaaa...eae.......",
  "...........aaaaa......eaae......",
  ".........aa...........eaaae.....",
  ".........aae..........eaaaae....",
  "..........ee..........eaaaaae...",
  "......................eaaaaae...",
  "......................eaaeee....",
  "......................eee.......",
  "................................",
  "................................",
  "................................",
};

static char *iscissors_bits[] = 
{
  ".................................",
  ".........ae.........ae..........",
  ".........ae.........ae..........",
  "..........ae.......ae...........",
  "..........ae.......ae...........",
  ".............hhhh...............",
  "...........hhaaaaee.............",
  "...aa.....haaggggaae.....aa.....",
  "...eeaa..haggggggggae..aaee.....",
  ".....ee..haggggggggae..ee.......",
  "........haggggggggggae..........",
  "........haggggggggggae..........",
  "........haggggggggggae..........",
  "........haggggggggggae..........",
  ".........haggaggaggae...........",
  "......aa.haggaaaaggae.aa........",
  "....aaee.haggaggaggae.eeaa......",
  "....ee....hagaggagae....ee......",
  "...........haaaaaae.............",
  "...........haeeeeae.............",
  "...........haaaaaae.ee..........",
  "...........haeeeeae.eae.........",
  "...........haaaaaae.eaae........",
  "............haeeae..eaaae.......",
  "............haaaae..eaaaae......",
  ".............eeee...eaaaaae.....",
  "....................eaaaaae.....",
  "....................eaaeee......",
  "....................eee.........",
  "................................",
  "................................",
  "................................",
};

static char *crop_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  ".......................hhh......",
  "......................haaae.....",
  ".....................haeggae....",
  "....................haegeeae....",
  "...................haegeebae....",
  "..................haegeebae.....",
  ".................haegeebae......",
  "................haegeebae.......",
  "...............haegeebae........",
  "..............haegeebae.........",
  ".............haegeebae..........",
  "............haegeebae...........",
  "...........haegeebae............",
  "..........haegeebae.............",
  ".........habgeebae..............",
  "........habbbgbae...............",
  ".......habbbbbae................",
  "......habbbbbha.................",
  ".....habbbbbhae.................",
  "....habbbbbhae..................",
  "...hahhhhhhae...................",
  "...haaaaaaae....................",
  "....eeeeeee.....................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *scale_tool_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "...hhhhhhhhhh...................",
  "...haaaaaaaahhhhhh..............",
  "...haggggggahahahahhhhhhhhh.....",
  "...haggggggahhhhhhhaaaaaaaae....",
  "...haggggggahhhhhahhhhhhhhhe....",
  "...haggggggaggggggggggggggae....",
  "...haeaaaaaagggggaggggggggae....",
  "....hhhhhgggggggggggggggggae....",
  "....hahhhgggggagggggggggggae....",
  "....hhhhhgggggggagggggggggae....",
  "....hahahagagaggggagggggggae....",
  "....hhhhhgggggggggggagagggae....",
  ".....hhahggggggggggggaaaggae....",
  "......hahggggggggggggaaaagae....",
  "......hahgggggggggggggggggae....",
  "......hahaaaaaaaaaaaaaaaaaae....",
  ".......eeeeeeeeeeeeeeeeeeeee....",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *flip_htool_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
  "....bbbbbbbbbbb.bbbbbbbbbbbb....",
  "....gggggggggggbgggggggggggg....",
  "....ggggggggggebeggggggggggg....",
  "....ggggggggggebeggggggggggg....",
  "....ggggggggggebeggggggggggg....",
  "....ggggggagggebegggaggggggg....",
  "....gggggaagggebegggaagggggg....",
  "....ggggahagggebegggahaggggg....",
  "....gggahhagggebegggahhagggg....",
  "....ggahhgagggebegggahggaggg....",
  "....gahhggagggebegggaggeeagg....",
  "....ggaggeagggebegggageeageg....",
  "....gegaeeagggebegggaeeagegg....",
  "....ggegaeagggebegggaeageggg....",
  "....gggegaagggebegggaagegggg....",
  "....ggggegagggebegggageggggg....",
  "....gggggeggggebeggggegggggg....",
  "....ggggggggggebeggggggggggg....",
  "....ggggggggggebeggggggggggg....",
  "....ggggggggggebeggggggggggg....",
  "....gggggggggggbgggggggggggg....",
  "....bbbbbbbbbbb.bbbbbbbbbbbb....",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *flip_vtool_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  ".....bggggggggggggggggggggb.....",
  ".....bgggggggggageggggggggb.....",
  ".....bggggggggahagegggggggb.....",
  ".....bgggggggahhgageggggggb.....",
  ".....bggggggahhggeagegggggb.....",
  ".....bgggggahhggeeeageggggb.....",
  ".....bggggaaaaaaaaaaagggggb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bgeeeeeeeeeeeeeeeeeegb.....",
  "......bbbbbbbbbbbbbbbbbbbb......",
  ".....bgeeeeeeeeeeeeeeeeeegb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bggggggggggggggggggggb.....",
  ".....bggggaaaaaaaaaaagggggb.....",
  ".....bgggggahhhggeeageggggb.....",
  ".....bggggggahggeeagegggggb.....",
  ".....bgggggggageeageggggggb.....",
  ".....bggggggggaeagegggggggb.....",
  ".....bgggggggggageggggggggb.....",
  ".....bggggggggggegggggggggb.....",
  ".....bggggggggggggggggggggb.....",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *color_picker_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "......................hhh.......",
  ".....................haaae......",
  "....................haaaaae.....",
  ".................hh.haaaaaae....",
  "................haahaaaaaaae....",
  "................haaaaaaaaaae....",
  ".................haaaaaaaae.....",
  "................hahaaaaaee......",
  "...............hahhhaaae........",
  "..............hahhhgeaaae.......",
  ".............hahhhgeaeaae.......",
  "............hahhhgeae.ee........",
  "...........hahhhgeae............",
  "..........hahhhgeae.............",
  ".........hahhhgeae..............",
  "........hahhhgeae...............",
  ".......hahhhgeae................",
  "......hahhhgeae.................",
  ".....hahhhgeae..................",
  "....hahhhgeae...................",
  "...hahhhgeae....................",
  "...hahhgeae.....................",
  "...hahhhae......................",
  "...haaaae.......................",
  "....eeee........................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *bucket_fill_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "............hhhh................",
  "...........haaaae...............",
  "..........ha....ae..............",
  "..........ha....ae..............",
  "..........ha..a.ae..............",
  "..........ha.ahaae..............",
  "..........haahhhae..............",
  "..........hahhhhaae.............",
  ".........hahhhhhahae............",
  "........hahhhhhhahhaae..........",
  ".......hahhhhhhhghggaaae........",
  "......hahhhhhhhgeagggaaaae......",
  ".....hahhhhhhhheaeggffaaaae.....",
  "....hahhhhhhhhhggggffeeaaaae....",
  "...hahhhhhhhhhggggffeeaaaaae....",
  "...hahhhhhhhhggggffeeaeaaaae....",
  "...hahhhhhhhggggffeeaeeaaaae....",
  "....eahhhhhggggffeeae.eaaaae....",
  ".....eahhhggggffeeae..eaaaae....",
  "......eahggggffeeae...eaaaae....",
  ".......eagggffeeae....eaaaae....",
  "........eagffeeae.....eaaae.....",
  ".........eafeeae......eaae......",
  "..........eaaae.......eae.......",
  "...........eee.........e........",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *brush_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "........................hh......",
  ".......................haae.....",
  ".....................hhaabe.....",
  "....................haaeeae.....",
  "...................haaeeaae.....",
  ".................hhaaeeaae......",
  "................haaaehaae.......",
  "...............haabebbae........",
  "..............haabebbae.........",
  ".............haabebbaae.........",
  "............haabebbaae..........",
  "...........haabebbaae...........",
  "..........haabebbaae............",
  ".........haaaebbaae.............",
  "........haaegabaae..............",
  "......hhhaegegaae...............",
  ".....haaaageeeae................",
  "....haaaaaaeeae.................",
  "...haaebaaaaae..................",
  "...haeebaaaae...................",
  "...haebbaaaae...................",
  "...habbaaaae....................",
  "...habbaaae.....................",
  "...haaaaae......................",
  "....eeeee.......................",
  "................................",
  "................................",
  "................................",
  "................................",
};


static char *airbrush_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "........................h.......",
  ".......................hae......",
  "......................haaae.....",
  ".....................haaaaae....",
  ".................h..haaaaaaae...",
  "................hahhaaaaaaae....",
  "...............haaaaaaaaaae.....",
  "..............haaaahaaaaae......",
  "...............hhahhhaaae.......",
  "................hahhgeae........",
  "...............hahhgeae.........",
  "..............hahhgeae..........",
  ".............hahhgeae...........",
  "............hahhgeae............",
  "............hahgeae.............",
  "...........hahaaae..............",
  "...........haae.................",
  "..........f.ee..................",
  ".......fafafa...................",
  "....fafafafa....................",
  ".....fafafa.....................",
  "......fafafa....................",
  ".......fafa.....................",
  "........fa......................",
  ".........fa.....................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *clone_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "........hh..........hhh.........",
  ".......haa.........haaae........",
  "......haee.a......hagggae.......",
  "......haee.e......hagggae.......",
  "......haee.a......hagggae.......",
  ".....hhhae.e.....hhhagaeee......",
  "....haaaee......haaagggaaae.....",
  "...haeeeee.a.a.hagggggggggae....",
  "...haeeeee.e.e.hagggggggggae....",
  "...haeeeee.a.a.hagggggggggae....",
  "...haeaeee.e.e.hagagggggagae....",
  "...haeaeee.a.a.hagagggggagae....",
  "...haeaeee.e.e.hagagggggagae....",
  "...haeaeee.a.a.hagagggggagae....",
  "...haeaeee.e.e.hagagggggagae....",
  "...haaaeaa.....haaagaaagaaae....",
  "...heeaeae.....heeagaeagaee.....",
  "....hhaeae.a.a..hhagaeagae......",
  ".....haeae.e.e...hagaeagae......",
  ".....haeae.a.a...hagaeagae......",
  ".....haeae.e.e...hagaeagae......",
  ".....haeae.a.a...hagaeagae......",
  ".....haeae.e.e...hagaeagae......",
  ".....haaae.a.a...haaaeaaae......",
  "......eee..e.e....eee.eee.......",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *convolve_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................d...............",
  "...............dc...............",
  "..............dfc...............",
  "..............dfc...............",
  ".............dfefc..............",
  ".............dfedc..............",
  "............dffedfc.............",
  "............dffedfc.............",
  "...........dfffeddfc............",
  "...........dfffeddfc............",
  "..........dffffeeddfc...........",
  "..........dffffeeddfc...........",
  "..........dfffffeddfc...........",
  ".........dffffffeddefc..........",
  ".........dffffffeddefc..........",
  ".........dffffffeddefc..........",
  ".........dffffffeddefc..........",
  ".........dfffhffeddefc..........",
  ".........dfffhffeddefc..........",
  ".........dffhhffeddefc..........",
  ".........dfffhffeddefc..........",
  "..........dfffffeddec...........",
  "...........dffffeddc............",
  "............dfffedc.............",
  ".............ccccc..............",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *blend_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  "...........hhh..................",
  "..........haaae.................",
  ".........hahhhae................",
  "........hahhhhae...hhhh.........",
  ".......hahhhhae..hhaaaae........",
  "......hahhhhae..haahhhhaae......",
  ".....hahhhhae..hahhhcchhhae.....",
  ".....hahhhhaehhahhdcccbbhae.....",
  "....hahhhhhhaaahhddcccbbhhae....",
  "....hahhgghhhhhhdddcccbbbhae....",
  "....hahhggfffeeedddcccbbbhae....",
  "...hahhgggfffeeedddcccbbbhae....",
  "...hahhgggfffeeedddcccbbbhae....",
  "...hahhgggfffeeedddcccbbhhae....",
  "...hahhgggfffeeedddcccbbhaee....",
  "...hahhgggfffeeedddcccbhhae.....",
  "....eahgggfffeeedddccchhaee.....",
  "....eahhghfffeeedddcchhaee......",
  ".....eahhhfffeeedddhhhaee.......",
  "......eahhhffeeehhhhaaee........",
  ".......eaahhhhhhhaaaee..........",
  "........eeaaaaaaaeee............",
  "..........eeeeeee...............",
  "................................",
  "................................",
  "................................",
  "................................",
  "................................",
};

static char *text_tool_bits[] = 
{
  "................................",
  "................................",
  "................................",
  "................................",
  ".......hh................h......",
  "......haahhhh........hhhhce.....",
  "......haaaaaahhhhhhhhaaaace.....",
  "......haaaaaaaaaaaaaaaaaace.....",
  "......haaccccaaaaacccccaace.....",
  ".....haaceeeehcaaceeeeeace......",
  ".....hace....hcaace...eace......",
  ".....hace...heaaade...eace......",
  ".....hce....hcaace....eace......",
  "......e.....hcaace.....ee.......",
  "............hcaace..............",
  "...........heaaade..............",
  "...........hcaace...............",
  "...........hcaace...............",
  "...........hcaade...............",
  "..........heaace................",
  "..........hcaace................",
  "..........hcaace................",
  "..........hcaace................",
  ".........heaaace................",
  "........hhcaaade................",
  ".......hccaaaaace...............",
  "......hcaaaaaaaace..............",
  ".......eeeeeeeeee...............",
  "................................",
  "................................",
  "................................",
  "................................",
};

